RemovingStatement
Keywords: uk.ac.ic.doc.automed.templates.wrapper.RemovingStatement,RemovingStatement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.templates.wrapper
Class RemovingStatement

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.templates.wrapper.TStatement
            |
            +--uk.ac.ic.doc.automed.templates.wrapper.RemovingStatement

Direct Known Subclasses:
  ContractStatement, DeleteStatement

public abstract class RemovingStatement
extends TStatement

Field Summary
`protected TStatementArgument` | `actionARG`
`protected java.lang.String` | `actionName`
`protected TStatementArgument` | `constraintsARG`
`protected TStatementArgument` | `fromObjectARG`
`protected TStatementArgument` | `functionARG`
`protected TemplateArgumentSequence` | `primitiveArgSeq`
`protected boolean` | `statementExecuted`
`protected TStatementArgument` | `toObjectARG`

Fields inherited from class uk.ac.ic.doc.automed.templates.wrapper.TStatement
`fromSchemaARG, self, statementType, toSchemaARG`

Constructor Summary
`RemovingStatement()`

Method Summary
`protected int` | `createExecutionStatement(int position, CompositeTransformation trans)`
`protected java.lang.String` | `getArgumentDescription(TStatementArgument sa)`
`protected java.lang.String` | `getStatementDescription()`
`protected int` | `getType(TStatementArgument sa)`
`protected int` | `numberOfElements(TStatementArgument sa)`
`TStatementArgument` | `resultingSchema()`
`protected void` | `rollback()`
`void` | `setConstraints(java.lang.String c)`
`void` | `setConstraints(TArgument c)`
`void` | `setFromSchema(TArgument sch)`
`void` | `setFunction(java.lang.String f)`
`void` | `setFunction(TArgument f)`
`void` | `setRemovedObject(TArgument ta)`
`protected void` | `updateRepository()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### actionARG

    protected TStatementArgument actionARG

### functionARG

    protected TStatementArgument functionARG

### constraintsARG

    protected TStatementArgument constraintsARG

### toObjectARG

    protected TStatementArgument toObjectARG

### fromObjectARG

    protected TStatementArgument fromObjectARG

### primitiveArgSeq

    protected TemplateArgumentSequence primitiveArgSeq

### actionName

    protected java.lang.String actionName

### statementExecuted

    protected boolean statementExecuted

Constructor Detail

### RemovingStatement

    public RemovingStatement()

Method Detail

### setFromSchema

    public void setFromSchema(TArgument sch)
                       throws TemplateDefinitionException

  Specified by:
    `setFromSchema` in class `TStatement`
    `TemplateDefinitionException`

### setFunction

    public void setFunction(java.lang.String f)

### setFunction

    public void setFunction(TArgument f)
                     throws TemplateDefinitionException

    `TemplateDefinitionException`

### setConstraints

    public void setConstraints(java.lang.String c)

### setConstraints

    public void setConstraints(TArgument c)
                        throws TemplateDefinitionException

    `TemplateDefinitionException`

### setRemovedObject

    public void setRemovedObject(TArgument ta)
                          throws TemplateDefinitionException

    `TemplateDefinitionException`

### getStatementDescription

    protected java.lang.String getStatementDescription()

  Specified by:
    `getStatementDescription` in class `TStatement`

### resultingSchema

    public TStatementArgument resultingSchema()

  Specified by:
    `resultingSchema` in class `TStatement`

### getArgumentDescription

    protected java.lang.String getArgumentDescription(TStatementArgument sa)

  Specified by:
    `getArgumentDescription` in class `TStatement`

### getType

    protected int getType(TStatementArgument sa)

### numberOfElements

    protected int numberOfElements(TStatementArgument sa)

  Specified by:
    `numberOfElements` in class `TStatement`

### rollback

    protected void rollback()
                     throws TemplateDefinitionException

  Specified by:
    `rollback` in class `TStatement`
    `TemplateDefinitionException`

### createExecutionStatement

    protected int createExecutionStatement(int position,
                                           CompositeTransformation trans)
                                    throws TemplateDefinitionException

  Specified by:
    `createExecutionStatement` in class `TStatement`
    `TemplateDefinitionException`

### updateRepository

    protected void updateRepository()
                             throws TemplateDefinitionException

  Specified by:
    `updateRepository` in class `TStatement`
    `TemplateDefinitionException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD